Need updated postgresql92-json_enhancements RPM

RESOLVED FIXED

Status

--
blocker
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: selenamarie, Assigned: ezounes)

Tracking

Details

There is a bug in the released json_enhancements module that causes any searches of Socorro JSON containing unicode characters to fail.

Latest code is at: https://bitbucket.org/qooleot/json_enhancements

Can we get the RPM updated with current master at commit 9596b5ac9d50a98ab6ab00f51a92afd37d9f44ea?
Depends on: 880744
(Assignee)

Updated

5 years ago
Assignee: server-ops-webops → ezounes
(Assignee)

Comment 1

5 years ago
(In reply to Selena Deckelmann :selenamarie :selena from comment #0)
> There is a bug in the released json_enhancements module that causes any
> searches of Socorro JSON containing unicode characters to fail.
> 
> Latest code is at: https://bitbucket.org/qooleot/json_enhancements
> 
> Can we get the RPM updated with current master at commit
> 9596b5ac9d50a98ab6ab00f51a92afd37d9f44ea?

Hey there,

I'm the new WebOps intern, and this will be my first bug. So, please bear with me. I'm going through the rpm build process now. Thanks! :) 

-zounese
(In reply to Eric Zounes :[zounese] from comment #1)
> (In reply to Selena Deckelmann :selenamarie :selena from comment #0)
> > There is a bug in the released json_enhancements module that causes any
> > searches of Socorro JSON containing unicode characters to fail.
> > 
> > Latest code is at: https://bitbucket.org/qooleot/json_enhancements
> > 
> > Can we get the RPM updated with current master at commit
> > 9596b5ac9d50a98ab6ab00f51a92afd37d9f44ea?
> 
> Hey there,
> 
> I'm the new WebOps intern, and this will be my first bug. So, please bear
> with me. I'm going through the rpm build process now. Thanks! :) 
> 
> -zounese

Cool!  Thanks a bunch.  If it's any help, there's https://bugzilla.mozilla.org/show_bug.cgi?id=880744#c5 and a reference to fpm: https://github.com/jordansissel/fpm

-selena
Let me know if there's anything I can help with today!  I'm happy to explain anything to get this going. We've got a release blocked on this ticket.
Flags: needinfo?(ezounes)
Also! A new release was cut for http://www.pgxn.org/dist/json_enhancements/ -- which should make the package creation significantly easier!
This issue is blocking a goal and a release, so I'm upping the importance per Laura.
Severity: normal → blocker
So, I see a new package is available for json_enhancements, but it looks like v1.0.0 was installed: 

breakpad:5432# select * from pg_extension where extname ~ 'json';
      extname      | extowner | extnamespace | extrelocatable | extversion | extconfig | extcondition 
-------------------+----------+--------------+----------------+------------+-----------+--------------
 json_enhancements |       10 |         2200 | t              | 1.0.0      |           | 
(1 row)
[postgres@socorro1.dev.db.phx1 extension]$ ls -la json* 
-rw-r--r-- 1 root root 3838 Jun  7 17:07 json_enhancements--1.0.0.sql
-rw-r--r-- 1 root root  190 Jun  7 17:07 json_enhancements.control

I don't see the 1.0.1 stuff!

-rwxr-xr-x 1 root root 208726 Jun  7 17:07 json_enhancements.so
Ah! Maybe the new version just isn't available yet? 

[postgres@socorro1.dev.db.phx1 extension]$ rpm -qa postgresql92-json_enhancements
postgresql92-json_enhancements-1.0-1.x86_64

[postgres@socorro1.dev.db.phx1 extension]$ rpm -qi postgresql92-json_enhancements-1.0-1.x86_64
Name        : postgresql92-json_enhancements  Relocations: /usr/pgsql-9.2 
Version     : 1.0                               Vendor: root@jenkins-services1.dmz.phx1.mozilla.com
Release     : 1                             Build Date: Fri 07 Jun 2013 05:07:33 PM PDT
Install Date: Tue 11 Jun 2013 01:37:34 PM PDT      Build Host: jenkins-services1.dmz.phx1.mozilla.com
Group       : default                       Source RPM: postgresql92-json_enhancements-1.0-1.src.rpm
Size        : 212754                           License: unknown
Signature   : (none)
Packager    : <root@jenkins-services1.dmz.phx1.mozilla.com>
URL         : http://example.com/no-uri-given
Summary     : no description given
Description :
no description given


[root@socorro1.dev.db.phx1 ~]# yum install postgresql92-json_enhancements
Loaded plugins: downloadonly, rhnplugin, security
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Package postgresql92-json_enhancements-1.0-1.x86_64 already installed and latest version
Nothing to do
(Assignee)

Comment 8

5 years ago
(In reply to Selena Deckelmann :selenamarie :selena from comment #7)
> Ah! Maybe the new version just isn't available yet? 
> 
> [postgres@socorro1.dev.db.phx1 extension]$ rpm -qa
> postgresql92-json_enhancements
> postgresql92-json_enhancements-1.0-1.x86_64
> 
> [postgres@socorro1.dev.db.phx1 extension]$ rpm -qi
> postgresql92-json_enhancements-1.0-1.x86_64
> Name        : postgresql92-json_enhancements  Relocations: /usr/pgsql-9.2 
> Version     : 1.0                               Vendor:
> root@jenkins-services1.dmz.phx1.mozilla.com
> Release     : 1                             Build Date: Fri 07 Jun 2013
> 05:07:33 PM PDT
> Install Date: Tue 11 Jun 2013 01:37:34 PM PDT      Build Host:
> jenkins-services1.dmz.phx1.mozilla.com
> Group       : default                       Source RPM:
> postgresql92-json_enhancements-1.0-1.src.rpm
> Size        : 212754                           License: unknown
> Signature   : (none)
> Packager    : <root@jenkins-services1.dmz.phx1.mozilla.com>
> URL         : http://example.com/no-uri-given
> Summary     : no description given
> Description :
> no description given
> 
> 
> [root@socorro1.dev.db.phx1 ~]# yum install postgresql92-json_enhancements
> Loaded plugins: downloadonly, rhnplugin, security
> This system is receiving updates from RHN Classic or RHN Satellite.
> Setting up Install Process
> Package postgresql92-json_enhancements-1.0-1.x86_64 already installed and
> latest version
> Nothing to do

Sorry to keep you waiting. The rpm is up in our repo now. Here's the output from yum info:

Installed Packages
Name        : postgresql92-json_enhancements
Arch        : x86_64
Version     : 1.0.2
Release     : 1
Size        : 210 k
Repo        : installed
From repo   : mozilla
Summary     : no description given
URL         : http://example.com/no-uri-given
License     : unknown
Description : no description given

If there are any issues with it, feel free to ping me. It was a tricky build. :) 

-zounese
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Flags: needinfo?(ezounes)
Resolution: --- → FIXED
Thanks!

Unfortunately, we have a problem: 

breakpad:5432# create extension json_enhancements; 
ERROR:  could not open extension control file "/usr/pgsql-9.2/share/extension/json_enhancements.control": No such file or directory
Time: 9.304 ms

Are we maybe missing the files that would have been installed in /usr/pgsql-9.2/share/extension ? 

[postgres@socorro1.dev.db.phx1 extension]$ ls -ltr /usr/pgsql-9.2/share/extension/json*
-rw-r----- 1 root root  170 Jun 24 16:59 /usr/pgsql-9.2/share/extension/json_enhancements_no_hstore.control
-rw-r----- 1 root root 3838 Jun 24 16:59 /usr/pgsql-9.2/share/extension/json_enhancements--1.0.0.sql

It looks like you built this without hstore. But need the "with hstore" version.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Also -- these files are read by the 'postgres' user, who also runs the 'postgres' process. So, these files in /usr/pgsql-9.2/share/extension should all be globally readable.
And -- just a confirmation, with the .control file, and the permissions changes, I was able to get things going:

[root@socorro1.dev.db.phx1 ~]# cat /usr/pgsql-9.2/share/extension/json_enhancements.control 
# json_enhancements extension
comment = 'Backport of pg 9.3 json enhancements'
default_version = '1.0.0'
module_pathname = '$libdir/json_enhancements'
relocatable = true
requires = 'hstore'
(Assignee)

Comment 12

5 years ago
Sorry about that. I went ahead and fixed the rpm. I added the hstore control file and the proper permissions. 

-zounese
Status: REOPENED → RESOLVED
Last Resolved: 5 years ago5 years ago
Resolution: --- → FIXED
(In reply to Eric Zounes :[zounese] from comment #12)
> Sorry about that. I went ahead and fixed the rpm. I added the hstore control
> file and the proper permissions. 
> 
> -zounese

Hrm.

breakpad:5432# create extension json_enhancements ; 
ERROR:  could not open extension control file "/usr/pgsql-9.2/share/extension/json_enhancements.control": No such file or directory
Time: 10.055 ms


How is the json_enhancements_with_hstore.control being created? Did you create that manually or did it come from the package?
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Assignee)

Comment 14

5 years ago
It came with the source. I was using the old working rpm as a reference.
The source contains three json files. I assumed it should have been packaged using the"json_enhancements_with_hstore.json" file. Should all json control files be included?

-zounese
(In reply to Eric Zounes :[zounese] from comment #14)
> It came with the source. I was using the old working rpm as a reference.
> The source contains three json files. I assumed it should have been packaged
> using the"json_enhancements_with_hstore.json" file. Should all json control
> files be included?

Yes, we should include all three. I'm unsure why my installation doesn't create the other two, so let's just have them all just in case.

Sorry for the tediousness of this request!  I really appreciate your help.
(Assignee)

Comment 16

5 years ago
I think I see the problem. It does generate a new control file. Initially there was a control file and for some reason the make file spits them out in the build directory. It was my fault for missing the time stamp on it. Apologies, again.  I made another attempt. This time I added the control file which was generated from the Makefile.

-zounese
(Assignee)

Comment 17

5 years ago
Oh, yes. If this doesn't work, I'll add all three. However, the others weren't generated by make. And np. Thanks for being patient with me. 

-zounese
Yay! 

To reinstall:

yum --enablerepo=mozilla clean metadata
yum install postgresql92-json_enhancements

And then: 

psql breakpad -c "drop extension json_enhancements"
psql breakpad -c "create extension json_enhancements"

And the test to verify it is working: 
psql breakpad -c "select backfill_tcbs('2013-06-20')"

Which now succeeds!

Tested on socorro1.dev and socorro1.stage databases.

many thanks!!
Status: REOPENED → RESOLVED
Last Resolved: 5 years ago5 years ago
Resolution: --- → FIXED
Component: Server Operations: Web Operations → WebOps: Other
Product: mozilla.org → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.